/* 歸零 */
html,body,header,footer,main,div,span,article,aside,h1,h2,h3,h4,p,a,ul,ol,li,table,tr,td,img,menu,nav{
    padding:0;
    margin:0;
    box-sizing:border-box;
    text-decoration:none;
    list-style:none;
    color:inherit;
    font-family: sans-serif
}
html,body{
    scroll-behavior: smooth;
}
img{
    width:100%;
    vertical-align:bottom
}


/* 預設 */
:root{
    --mainColor1: #A7DDEE;
    --mainColor2: #009CA6;
    --mainColor3: #FFC72C;
    --mainColor4: #D2D755;
    --mainColor5: #1D1A4D;
    --whiteColor: #FFFFFF;
    --lightGray: #DDDDDD;
    --middleGray:#444444;
    --darkGray:#2B2B2B;
    --blackColor:#000000;
    --blackAlpha: #00000055;
    --transition: all 800ms ease;
    --radius: 0px

}
.main-btn{
    display:inline-block;
    font-size:16px;
    height:3em;
    line-height: 3em;
    padding:0 1.5em;
    margin:0.5em 0;
    border: none;
    background-color: var(--mainColor5);
    color:var(--whiteColor);
    transition: all 500ms ease;
    border-radius: 2px;
    cursor:pointer;
}
.secondary-btn{
    display:inline-block;
    font-size:16px;
    height:3em;
    line-height: 3em;
    padding:0 1.5em;
    margin:0.5em 0;
    border: 1px solid var(--mainColor5);
    color: var(--mainColor5);
    transition: all 500ms ease;
    border-radius: 2px;
    cursor:pointer;
}
.main-btn:hover, .secondary-btn:hover{
    border-radius: 15px;
}
.main-btn:active{
    filter:brightness(1.5);
    box-shadow: 2px 2px 2px var(--middleGray) inset
}

.text-justify{
    text-align: justify;
}
.text-center{
    text-align: center;
}
.flex{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
}

/*=== 裝置 ===*/
.grid-1{
    width: calc(100% / 12 * 1);
}
.grid-2{
    width: calc(100% / 12 * 2);
}
.grid-3{
    width: calc(100% / 12 * 3);
}
.grid-4{
    width: calc(100% / 12 * 4);
}
.grid-5{
    width: calc(100% / 12 * 5);
}
.grid-6{
    width: calc(100% / 12 * 6);
}
.grid-7{
    width: calc(100% / 12 * 7);
}
.grid-8{
    width: calc(100% / 12 * 8);
}
.grid-9{
    width: calc(100% / 12 * 9);
}
.grid-10{
    width: calc(100% / 12 * 10);
}
.grid-11{
    width: calc(100% / 12 * 11);
}
.grid-12{
    width: calc(100% / 12 * 12);
}

/* header設計 */
header{
    width: 100%;
    height: 64px;
    line-height:64px;
    position:absolute;
    z-index:10;
    align-items:last baseline;
    text-align:center;
    background-color:var(--whiteColor);


}
header h1{
    display:block;
    width:320px;
    /* text-align:center; */
    /* margin-left: 2em; */
    background: linear-gradient(to right, var(--mainColor5),var(--mainColor4),var(--mainColor1),var(--mainColor3),var(--mainColor2));
    background-repeat: repeat;
    background-size: cover;
    color:transparent;
    background-clip: text;

    
    
}



/* Theme設計 */

#theme{
    width: 100%;
    height: 100vh;
    position:relative;
    

}
#theme #slide{
    width:100%;
    height:100%;
    overflow:hidden;
    position:relative;
}
#theme #slide .pic{
    width:100%;
    height:100%;
    transition:var(--transition);
    background-size:cover;
    background-position:center; 
    z-index:-1;
    background-image: url(../images/hero_image.JPG);
    filter:brightness(1.6)
  
}


#theme .push{
    width:100%;
    height: 100%;
    position:absolute;
    z-index:8;
    top:0px;
    left:0px;
    display:flex;
    align-items:center;
    background: #000000b3;
}
#theme .push .box{
  width: 300px;
  color:var(--whiteColor);
  text-shadow: 2px 2px 2px var(--blackColor);
  margin:auto
}
#theme .push .box p{
    margin: 0.5em 0;
    text-shadow: 2px 2px 2px var(--blackColor);
}


/* event設計 */
#event{
    width:100%;
    position:relative;
}
#event .title{
    padding: 5em 2em;
    text-align:center;
    font-size: 14px;
  

}
#event .six-content .grid-6{
    position:relative;
    overflow:hidden;
    cursor:pointer
}
#event .six-content .grid-6 .date{
    position:absolute;
    top:10px;
    right: -50px;
    z-index: 9;
    background-color:var(--whiteColor);
    color: var(--blackColor);
    font-size:1.2em;
    transform:rotateZ(30deg);
    width: 180px;
    text-align:center;
}
#event .six-content .grid-6 h3{
    width:100%;
    position:absolute;
    bottom:0px;
    background-color:var(--blackAlpha);
    color:var(--whiteColor);
    height:2em;
    line-height:2em;
    text-align:center;
}

#event .six-content .grid-6 .event1-thumbnail{
    position:relative;
    left:-22px
}
#event .six-content .grid-6 img:nth-of-type(1){
    transform:scale(1.3)
}


/* events設計 */
.events{
    width:100%;
    margin-top:2em;
    position:relative;
    
}
.events .grid-11{
    margin-top:1em;
    padding: 2em 2em;
}
.events .grid-11 img{
    border-radius: 10%;
}
.events .grid-11 button{
    margin-top:1em;
}
.events .grid-11 h3{
    font-size: 1.2em;
    line-height: 1.5em;
}

.events .grid-11 p{
    font-size: 1em;
    line-height: 1.8em;
}
.events .flex:nth-of-type(1) img{
    width: 100%;
    
}
.events .flex:nth-of-type(2) img{
    width: 100%;
    
}
.events .flex:nth-of-type(3) img{
    width: 100%;
    
}
.events .flex:nth-of-type(4) img{
    width: 100%;
    
}

.events .flex:nth-of-type(2n){
    background-color: var(--mainColor1);
}
.events .flex{
    padding: 2em 2em;
    border-radius: 10px;
}


#contact{
    width:100%;
    background-color:var(--darkGray);
    color:var(--lightGray);
    margin-top: 2em;
    text-align:center;
    font-size: 14px;

}
#contact .flex{
    padding: 5em 2em;
    width:95%;
    margin:auto;
 
}
#contact .flex .grid-11 ol li{
    line-height: 1.5em


}

#contact .flex a{
    color:var(--mainColor)
}
#contact hr{
    color:var(--blackColor);
    border-style:solid;
    border-width: 1.5px;
    margin: 1em 0
}
#contact h3{
    line-height: 3em;
    color:var(--whiteColor);
}
/* footer設計 */
footer{
    width: 100%;
    text-align:center;
    color:var(--lightGray);
    background-color: var(--darkGray);
 
}
footer h6{
    margin:0px

 
}
/* goTop設計 */
#goTop{
    width:3em;
    height: 3em;
    background-color: var(--blackAlpha);
    color:var(--whiteColor);
    position:fixed;
    right:0.5em;
    bottom:0.5em;
    z-index:100;
    text-align:center;
    line-height:3em
}


@media only screen and (min-width: 414px){
    .grid-sm-1{
        width: calc(100% / 12 * 1);
    }
    .grid-sm-2{
        width: calc(100% / 12 * 2);
    }
    .grid-sm-3{
        width: calc(100% / 12 * 3);
    }
    .grid-sm-4{
        width: calc(100% / 12 * 4);
    }
    .grid-sm-5{
        width: calc(100% / 12 * 5);
    }
    .grid-sm-6{
        width: calc(100% / 12 * 6);
    }
    .grid-sm-7{
        width: calc(100% / 12 * 7);
    }
    .grid-sm-8{
        width: calc(100% / 12 * 8);
    }
    .grid-sm-9{
        width: calc(100% / 12 * 9);
    }
    .grid-sm-10{
        width: calc(100% / 12 * 10);
    }
    .grid-sm-11{
        width: calc(100% / 12 * 11);
    }
    .grid-sm-12{
        width: calc(100% / 12 * 12);
    }

    /* Theme設計 */
    #theme .push .box{
        margin-left: 12vw;
    }
    /* event設計 */
    #event .title{
    font-size: unset;
  

}
    /* footer設計 */
    footer br:nth-of-type(1){
        display:none;
        
    }
}
@media only screen and (min-width: 768px){
    .grid-md-1{
        width: calc(100% / 12 * 1);
    }
    .grid-md-2{
        width: calc(100% / 12 * 2);
    }
    .grid-md-3{
        width: calc(100% / 12 * 3);
    }
    .grid-md-4{
        width: calc(100% / 12 * 4);
    }
    .grid-md-5{
        width: calc(100% / 12 * 5);
    }
    .grid-md-6{
        width: calc(100% / 12 * 6);
    }
    .grid-md-7{
        width: calc(100% / 12 * 7);
    }
    .grid-md-8{
        width: calc(100% / 12 * 8);
    }
    .grid-md-9{
        width: calc(100% / 12 * 9);
    }
    .grid-md-10{
        width: calc(100% / 12 * 10);
    }
    .grid-md-11{
        width: calc(100% / 12 * 11);
    }
    .grid-md-12{
        width: calc(100% / 12 * 12);
    }
     /* footer設計 */
    footer br{
        display:none;
        
    }
    /* events設計 */
    .events{
        padding:0 2em
    }
    .events .flex:nth-of-type(2n) {
        flex-direction:row-reverse;
      
    }
    .events .flex:nth-of-type(1) img{
        width: 100%;
     
    
    }
    .events .flex:nth-of-type(2) img{
        width: 80%;
        
    }
    .events .flex:nth-of-type(3) img{
        width: 100%;
       
        
    }
    .events .flex:nth-of-type(4) img{
        width: 100%;
        
    }
    /* contact設計 */
    #contact{
        text-align:left
    }
    #contact .flex .grid-11{
    padding: 1em;


    }
}
@media only screen and (min-width: 1024px){
    .grid-lg-1{
        width: calc(100% / 12 * 1);
    }
    .grid-lg-2{
        width: calc(100% / 12 * 2);
    }
    .grid-lg-3{
        width: calc(100% / 12 * 3);
    }
    .grid-lg-4{
        width: calc(100% / 12 * 4);
    }
    .grid-lg-5{
        width: calc(100% / 12 * 5);
    }
    .grid-lg-6{
        width: calc(100% / 12 * 6);
    }
    .grid-lg-7{
        width: calc(100% / 12 * 7);
    }
    .grid-lg-8{
        width: calc(100% / 12 * 8);
    }
    .grid-lg-9{
        width: calc(100% / 12 * 9);
    }
    .grid-lg-10{
        width: calc(100% / 12 * 10);
    }
    .grid-lg-11{
        width: calc(100% / 12 * 11);
    }
    .grid-lg-12{
        width: calc(100% / 12 * 12);
    }
    /* header設計 */
    header{
        height:64px;
        justify-content: flex-start !important;
        
    }
    header #logo{
        width:320px;
        margin-left: 2em;
    }

   
    /* event設計 */
    #event .six-content .grid-6 h3{
        bottom:-2em;
        transition:var(--transition)
    }
    
    #event .six-content .grid-6:hover h3{
        bottom:0em;
    }
    #event .six-content .grid-6 img{
        filter:brightness(0.6);
        transition:var(--transition)
    }
    #event .six-content .grid-6:hover img{
        filter:brightness(1.1);
        transform:scale(1.4)

    }
    #event .hot .flex{
        max-width: 1200px;
    }
    #event .hot .flex .grid-10{
        max-width: none;
        padding: 2em 1.5em;
        transition: var(--transition);
    }
    #event .hot .flex .grid-10:hover{
        background-color: var(--lightGray);
    }
    #event .hot .flex .grid-10 h4{
        line-height: 2.5em;
    }
    /* events設計 */
    .events .flex:nth-of-type(1) img{
        width: 100%;
     
    
    }
    .events .flex:nth-of-type(2) img{
        width: 70%;
        
    }
    .events .flex:nth-of-type(3) img{
        width: 100%;
       
        
    }
    .events .flex:nth-of-type(4) img{
        width: 100%;
        
    }
    
    /* contact設計 */
    #contact .flex{
        width: 100%;
        max-width:1200px;
    }
    
    

}
@media only screen and (min-width: 1366px){
    .grid-xl-1{
        width: calc(100% / 12 * 1);
    }
    .grid-xl-2{
        width: calc(100% / 12 * 2);
    }
    .grid-xl-3{
        width: calc(100% / 12 * 3);
    }
    .grid-xl-4{
        width: calc(100% / 12 * 4);
    }
    .grid-xl-5{
        width: calc(100% / 12 * 5);
    }
    .grid-xl-6{
        width: calc(100% / 12 * 6);
    }
    .grid-xl-7{
        width: calc(100% / 12 * 7);
    }
    .grid-xl-8{
        width: calc(100% / 12 * 8);
    }
    .grid-xl-9{
        width: calc(100% / 12 * 9);
    }
    .grid-xl-10{
        width: calc(100% / 12 * 10);
    }
    .grid-xl-11{
        width: calc(100% / 12 * 11);
    }
    .grid-xl-12{
        width: calc(100% / 12 * 12);
    }
    
}


@media screen and (max-width:400px){
/* header特別設計 */
    
    header h1{
        width: auto;
        font-size: 1.5em;
        
    }
}

